LINUX.ORG.RU

Два пакета не уживаются вместе

 , , , ,


0

1

На Ubuntu 18.04 невозможно поставить одновременно viber.deb и steam_latest.deb. Оба пакета с официальных сайтов.

Если поставить один пакет, то удаляется второй, и наоборот. Вот пример

1. Установлен Steam, а Viber удалён. Пытаемся поставить Viber, видим ошибку зависимостей

# dpkg -i viber.deb 
(Reading database ... 374307 files and directories currently installed.)
Preparing to unpack viber.deb ...
Unpacking viber (7.0.0.1035) over (7.0.0.1035) ...
dpkg: dependency problems prevent configuration of viber:
 viber depends on libcurl3; however:
  Package libcurl3 is not installed.
dpkg: error processing package viber (--install):
 dependency problems - leaving unconfigured
...
Errors were encountered while processing:
 viber

2. Пытаемся поставить недостающий пакет, опять ошибка зависимостей

# apt install libcurl3
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 libcurl3 : Conflicts: libcurl4 but 7.58.0-2ubuntu3.5 is to be installed
 libcurl4 : Conflicts: libcurl3 but 7.58.0-2ubuntu2 is to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

3. Фиксим предложенной apt командой

# apt --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  cmake-data fonts-mathjax libbsd-dev libjs-mathjax libncurses5-dev libqt5positioning5 libqt5sensors5 libqt5webchannel5 libqt5webkit5 librhash0 libuchardet0
  mpv phantomjs pypy-lib python3-pyxattr rtmpdump texmaker-data
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  viber
0 upgraded, 0 newly installed, 1 to remove and 7 not upgraded.
1 not fully installed or removed.
After this operation, 431 MB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database ... 374306 files and directories currently installed.)
Removing viber (7.0.0.1035) ...
...

4. Наконец-то ставим нужную библиотеку, но получаем сообщение, что steam-launcher будет удалён

# apt install libcurl3
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  cmake-data fonts-mathjax libbsd-dev libjs-mathjax libncurses5-dev libqt5positioning5 libqt5sensors5 libqt5webchannel5 libqt5webkit5 librhash0 libuchardet0
  mpv phantomjs pypy-lib python-apt python3-pyxattr rtmpdump texmaker-data
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  curl libcurl4 steam-launcher
The following NEW packages will be installed:
  libcurl3
0 upgraded, 1 newly installed, 3 to remove and 7 not upgraded.
Need to get 214 kB of archives.
After this operation, 3 444 kB disk space will be freed.
Do you want to continue? [Y/n] Y
Get:1 http://ru.archive.ubuntu.com/ubuntu bionic/universe amd64 libcurl3 amd64 7.58.0-2ubuntu2 [214 kB]
Fetched 214 kB in 0s (1 728 kB/s)  
(Reading database ... 372691 files and directories currently installed.)
Removing steam-launcher (1.0.0.56) ...
Removing curl (7.58.0-2ubuntu3.5) ...
Removing libcurl4:amd64 (7.58.0-2ubuntu3.5) ...
...

5. Успешно ставим viber

# dpkg -i viber.deb 
Selecting previously unselected package viber.
(Reading database ... 372665 files and directories currently installed.)
Preparing to unpack viber.deb ...
Unpacking viber (7.0.0.1035) ...
Setting up viber (7.0.0.1035) ...
...

Хотелось бы иметь оба пакета в системе одновременно, как это сделать?

chroot, appimage да или просто отдельно кладёшь libcurl3 рядом с бинарником вейпера и LD_LIBRARY_PATH=`pwd`

Выбирай на любой вкус.

Но лучше отказаться от проприетарщины.

a1batross ★★★★★ ()